# Symphony

This framework combines different [components](../widgets) into one bundle that can be used in different environments such as Jupyter notebooks and web dashboards.

Symphony ties together a collection of interactive visualizations that let you explore data. It is designed to be extensible and thus can integrate different components. If you are interested in creating you own component, take a look at our [cookiecutter](../widget-cookiecutter/).

## Installation

```bash
pip install -i symphony_ui
```

To create the backing table, you must be using Python 3.7 and have [DNIKit](https://github.com/apple/dnikit) installed.

## Usage

For detailed documentation on how to use Symphony, see our [documentation](https://apple.github.io/ml-symphony/).

## Development

To learn about how to build Symphony from source and how to contribute to the framework, please look at [CONTRIBUTING.md](../CONTRIBUTING.md) and the [development documentation](https://apple.github.io/ml-symphony/contributing.html).
